<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="../style/steps.css" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <title>Ukończenie testów</title>
</head>
<body>
<div class="rule-container">
    <div class="row">
        <div class="rule-number">7</div>
        <div class="rule-header">Ukończenie testów</div>
    </div>
    <div class="rule-text-animation-container">
        <div class="rule-text"><p>Ukończenie testów polega na zebraniu danych pochodzących z wykonanych czynności
            testowych w celu skonsolidowania zdobytych doświadczeń, testaliów oraz innych stosownych informacji.</p>
            <p>Czynności związane z ukończeniem testów są wykonywane w momencie osiągnięcia kamieni milowych
                projektu,
                takich jak: przekazanie systemu lub oprogramowania do eksploatacji, zakończenie realizacji (lub
                anulowanie) projektu, zakończenie iteracji projektu zwinnego (np. w ramach spotkania
                retrospektywnego),
                ukończenie poziomu testów bądź zakończenie prac nad wydaniem pielęgnacyjnym (ang. maintenance
                release).</p>
            <p>Główne czynności wykonywane w ramach ukończenia testów to:</p>
            <ul>
                <li>sprawdzenie, czy wszystkie raporty o defektach są zamknięte oraz wprowadzenie żądań zmian lub
                    pozycji do rejestru produktu w odniesieniu do wszelkich defektów, które nie zostały rozwiązane
                    do
                    momentu zakończenia wykonywania testów;
                </li>
                <li>utworzenie sumarycznego raportu z testów, który zostanie przekazany interesariuszom;</li>
                <li>dla wersji końcowych: zarchiwizowanie środowiska testowego, danych testowych, infrastruktury
                    testowej oraz innych testaliów, do ponownego wykorzystania w przyszłości;
                </li>
                <li>przekazanie testaliów zespołom odpowiedzialnym za pielęgnację, innym zespołom projektowym i/lub
                    innym interesariuszom, którzy mogą odnieść korzyść z ich użycia;
                </li>
                <li>przeanalizowanie zdobytych doświadczeń omawianych na wszystkich etapach projektu w celu
                    ustalenia,
                    jakie zmiany będą konieczne w przypadku przyszłych iteracji, wydań i projektów;
                </li>
                <li>wykorzystanie zebranych informacji do zwiększenia dojrzałości procesu testowego.</li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>
